package sun.util.resources;

import java.util.LinkedHashSet;
import java.util.Set;
import java.util.LinkedHashMap;
import java.util.Map;
import java.util.Objects;

public abstract class TimeZoneNamesBundle extends OpenListResourceBundle
{
    public TimeZoneNamesBundle() {
    }
    
    public Object handleGetObject(String s) {
        String[] obj = (String[])(String[])super.handleGetObject(s);
        if (Objects.isNull(obj)) {
            return null;
        }
        int length = obj.length;
        String[] array = new String[7];
        array[0] = s;
        System.arraycopy(obj, 0, array, 1, length);
        return array;
    }
    
    @Override
    protected <K, V> Map<K, V> createMap(int initialCapacity) {
        return new LinkedHashMap(initialCapacity);
    }
    
    @Override
    protected <E> Set<E> createSet() {
        return new LinkedHashSet();
    }
    
    @Override
    protected abstract Object[][] getContents();
}
